<?php
include( __DIR__ . '/inc/update.php' );
include( __DIR__ . '/inc/customization/init.php' );
include( __DIR__ . '/inc/seo.php' );
include( __DIR__ . '/inc/breadcrumbs.php' );
include( __DIR__ . '/inc/gamma/init.php' );
include( __DIR__ . '/inc/blog.php' );


if ( defined( 'ALI_ERROR' ) && ! ALI_ERROR ) {
	include( __DIR__ . '/inc/aliplugin.php' );
}

/**
 * Remove adminbar for subscribers
 */
if ( is_user_logged_in() && ! current_user_can( "level_2" ) ) {
	add_filter( 'show_admin_bar', '__return_false' );
}


/**
 * Enable responsive video (bootstrap only)
 *
 * @param $html
 * @param $url
 * @param $attr
 * @param $post_ID
 *
 * @return string
 */
function adstm_oembed_filter( $html, $url, $attr, $post_ID ) {
	return '<div class="embed-responsive embed-responsive-16by9">' . $html . '</div>';
}

add_filter( 'embed_oembed_html', 'adstm_oembed_filter', 10, 4 );


/**
 * Convert post_content \n
 *
 * @param $content
 *
 * @return mixed
 */
if ( ! function_exists( 'nl2br_content' ) ) {
	function nl2br_content( $content ) {
		$content = apply_filters( 'the_content', $content );

		return str_replace( ']]>', ']]>', $content );
	}
}

/**
 * @return bool
 */
function adstm_is_home() {
	return is_front_page() || is_home();
}

add_filter( 'get_the_archive_title', function ( $title ) {
	if ( is_category() || is_tax() ) {
		$title = single_cat_title( '', false );
	} elseif ( is_search() ) {
		$title = sprintf( '%1$s: "%2$s"', __( 'Search' ), get_search_query() );
	} elseif ( is_post_type_archive() ) {
		$title = post_type_archive_title( '', false );
	} elseif ( is_tag() ) {
		$title = single_tag_title( '', false );
	} elseif ( is_author() ) {
		$title = sprintf( '<span class="vcard">%s</span>', get_the_author() );
	}

	return $title;
} );

function adstm_single_term() {

	$title = single_term_title( '', false );

	$other_title = get_query_var( 'other_title', false );

	return ( $other_title ) ? $other_title : $title;
}



//add_filter( 'body_class', 'adstm_body_classes' );


function is_enableSocial(){
	if(cz('s_link_fb') ||
	   cz('s_link_fb')||
	   cz('s_link_in')||
	   cz('s_link_tw')||
	   cz('s_link_tw')||
	   cz('s_link_gl')||
	   cz('s_link_pt')||
	   cz('s_link_yt')){
		return true;
	}
	return false;
}

//gamma
add_filter( 'wp_mail_content_type', 'set_html_content_type' );
function set_html_content_type() {
    return 'text/html';
}
function mail_letter(){
	if( !isset($_POST['contact_us']) || $_POST['contact_us']!='2'  ){
		return false;
	}
	else{
		$site_owner_email = cz( 's_mail' );
		if( !$site_owner_email ) return;

		$errors = array();
		if( isset($_POST['subject']) && strlen($_POST['subject']) > 3 ){
			$author_subject = strip_tags($_POST['subject']);
			$author_subject = htmlspecialchars($author_subject);
		} else {
			array_push($errors, "subject error");
		}
		if( isset($_POST['full_name']) && strlen($_POST['full_name']) > 3 ){
			$author_name = strip_tags($_POST['full_name']);
			$author_name = htmlspecialchars($author_name);
		} else {
			array_push($errors, "name error");
		}

		if( isset($_POST['email_main']) && strlen($_POST['email_main']) > 5 ){
			$author_email = strip_tags($_POST['email_main']);
			$author_email = htmlspecialchars($author_email);
		} else {
			array_push($errors, "email error");
		}

		if( isset($_POST['message']) && strlen($_POST['message']) > 7 ){
			$author_comment = strip_tags($_POST['message']);
			$author_comment = htmlspecialchars($author_comment);
		} else {
			array_push($errors, "message error");
		}
		
		$result = array();
		 if( !count($errors) ) {
		$to = $site_owner_email;
		$subject = __('An email message from your site', 'gamma' );
		$message =
		 __( 'Subject', 'gamma' ) . " - " . $author_subject . "<br>" .
		 __( 'Author', 'gamma' ) . " - " . $author_name . "<br>" .
         __( 'Email of author', 'gamma' ) . " - " . $author_email . "<br>" .
         __( 'Message', 'gamma' ) . " - " . $author_comment . "<br>" ;
		 $result = array('result' => 'success');
			wp_mail( $to, $subject, $message, $headers = '', $attachments = array() );
		 } else {

        $result = array('result' => 'error');

		}
		 echo '<div class="message_contact">'.json_encode($result['result']).'</div>';

		//wp_die();
	}
}