<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js" xmlns="http://www.w3.org/1999/html">
<head>
	<title><?php mic_title() ?></title>
	<meta name="description" content="<?php mic_description() ?>"/>
	<meta name="keywords" content="<?php mic_keywords() ?>"/>
	<link rel="icon" href="<?php echo cz( 'tp_favicon' ); ?>" type="image/x-icon"/>
	<link rel="shortcut icon" href="<?php echo cz( 'tp_favicon' ); ?>" type="image/x-icon"/>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="apple-mobile-web-app-capable" content="yes"/>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
	<link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700&subset=cyrillic" rel="stylesheet">
	<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.8.1/css/all.min.css" rel="stylesheet">
	
	<link href="<?php echo get_template_directory_uri(); ?>/style.css?100" rel="stylesheet">
	<link href="<?php echo get_template_directory_uri(); ?>/inc/customization/css/custom_style.css?100" rel="stylesheet">
	<?php wp_head(); ?>

	<!--[if lt IE 9]>
	<script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<script src="//cdnjs.cloudflare.com/ajax/libs/respond.js/1.4.2/respond.js"></script>    <![endif]-->

	<?php /*
	<link rel="apple-touch-icon" sizes="60x60" href="<?php echo get_template_directory_uri() ?>/img/favicon/apple-icon-60x60.png">
	<link rel="apple-touch-icon" sizes="76x76" href="<?php echo get_template_directory_uri() ?>/img/favicon/apple-icon-76x76.png">
	<link rel="apple-touch-icon" sizes="120x120" href="<?php echo get_template_directory_uri() ?>/img/favicon/apple-icon-120x120.png">
	<link rel="apple-touch-icon" sizes="152x152" href="<?php echo get_template_directory_uri() ?>/img/favicon/apple-icon-152x152.png">
	<link rel='shortcut icon' type="image/x-icon" href='<?php echo get_template_directory_uri() ?>/img/favicon/favicon-16x16.png'>
	*/ ?>
	<?php if ( cz( 'tp_head_ga' ) ): ?>
		<script>
			(function ( i, s, o, g, r, a, m ) {
				i[ 'GoogleAnalyticsObject' ] = r;
				i[ r ] = i[ r ] || function () {
						(i[ r ].q = i[ r ].q || []).push( arguments )
					}, i[ r ].l = 1 * new Date();
				a = s.createElement( o ),
					m = s.getElementsByTagName( o )[ 0 ];
				a.async = 1;
				a.src   = g;
				m.parentNode.insertBefore( a, m )
			})( window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga' );

			ga( 'create', '<?php echo cz( 'tp_head_ga' );?>', 'auto' );
			ga( 'send', 'pageview' );

		</script>
	<?php else: ?>
		<script>
			window.ga = window.ga || function(){};
		</script>
	<?php endif; ?>

	<style>
		<?php echo cz('tp_style');?>
	</style>
	<?php echo cz( 'tp_head' ); ?>
</head>
<?php
	function get_custom_class_for_body() {

		if ( is_front_page() ) {
			return "main-page";
		} else if ( is_single() ) {
			return "single-page";
		} else if ( is_post_type_archive( 'product' ) ) {
			return "all-products-page";
		} else if ( is_tax( "product_cat" ) ) {
			return "category-page";
		} else {
			return "XYZ";
		}

	};

	$body_custom_class = get_custom_class_for_body();?>
<body <?php body_class($body_custom_class); ?>>
	<?php get_template_part( 'header', 'top' ); ?>



