<?php
class czSettings extends czAdminTpl {

	function __construct() {
		parent::__construct();
	}

	/**
	 * list menu
	 * @return array
	 */
	public function listMenu() {
		$listMenu = array(
			'czbase' => array(
				'tmp'         => 'tmplGeneral',
				'title'       => __( 'General', 'gamma' ),
				'description' => __( 'Some basic configuration settings.', 'gamma' ),
				'icon'        => 'tachometer',
				'submenu'     => array()
			),

			'czhead'          => array(
				'tmp'         => 'tmplHead',
				'title'       => __( 'Head', 'gamma' ),
				'description' => __( 'Use this section to add and edit scripts and styles.', 'gamma' ),
				'icon'        => 'life-ring',
				'submenu'     => array()
			),
			'czheader'        => array(
				'tmp'         => 'tmplHeader',
				'title'       => __( 'Header', 'gamma' ),
				'description' => __( 'Header main elements settings.', 'gamma' ),
				'icon'        => 'cog',
				'submenu'     => array()
			),
			'czhome'          => array(
				'tmp'         => 'tmplHome',
				'title'       => __( 'Home', 'gamma' ),
				'description' => __( 'Home page main settings.', 'gamma' ),
				'icon'        => 'home',
				'submenu'     => array()
			),
			'czsingleproduct' => array(
				'tmp'         => 'tmplSingleProduct',
				'title'       => __( 'Single product', 'gamma' ),
				'description' => __( 'Single product page main settings.', 'gamma' ),
				'icon'        => 'home',
				'submenu'     => array()
			),
			'czcontactus'     => array(
				'tmp'         => 'tmplContactUs',
				'title'       => __( 'Contact Us', 'gamma' ),
				'description' => __( 'Contact Us', 'gamma' ),
				'icon'        => 'smile-o ',
				'submenu'     => array()
			),
			'czsocial'        => array(
				'tmp'         => 'tmplSocial',
				'title'       => __( 'Social Media', 'gamma' ),
				'description' => __( 'Social media pages integration.', 'gamma' ),
				'icon'        => 'hand-o-right ',
				'submenu'     => array()
			),
			'czsubscribe'     => array(
				'tmp'         => 'tmplSubscribe',
				'title'       => __( 'Subscribe Form', 'gamma' ),
				'description' => __( 'Subscription form settings for collecting users’ emails.', 'gamma' ),
				'icon'        => 'envelope',
				'submenu'     => array()
			),
			'czfooter'        => array(
				'tmp'         => 'tmplFooter',
				'title'       => __( 'Footer', 'gamma' ),
				'description' => __( 'Footer options and settings.', 'gamma' ),
				'icon'        => 'bars',
				'submenu'     => array()
			),
			'czseo'           => array(
				'tmp'         => 'tmplSeo',
				'title'       => __( 'SEO', 'gamma' ),
				'description' => __( 'SEO meta data settings.', 'gamma' ),
				'icon'        => 'line-chart',
				'submenu'     => array()
			)
		);

		return apply_filters( 'cz_list_menu', $listMenu );
	}

	/**
	 * Template Base
	 */
	function tmplGeneral() {
		$this->block(
			array(
				$this->Button( 'tp_create', array(
					'label' => __( 'Add default pages and menus', 'gamma' ),
					'value' => true,
					'text'  => __( 'Create', 'gamma' )
				) )
			)
		);

		$this->block( $this->row( array(
				$this->textField( 's_mail', array(
					'label' => __( 'Contact email', 'gamma' ),
				) ),
				$this->textField( 's_phone', array(
					'label' => __( 'Contact phone', 'gamma' ),
				) )
			)
		) );

		$this->block(
			array(

				$this->row( array(
					$this->colorField( 'tp_color_header', array(
						'label' => __( 'Template color header', 'gamma' ),
					) )
				) ),
				$this->row( array(
					$this->colorField( 'tp_color_before_footer', array(
						'label' => __( 'Template color before footer', 'gamma' ),
					) )
				) ),
				$this->row( array(
					$this->colorField( 'tp_color_footer', array(
						'label' => __( 'Template color footer', 'gamma' ),
					) )
				) ),
				$this->row( array(
					$this->colorField( 'tp_color_header_text', array(
						'label' => __( 'Template color header text', 'gamma' ),
					) )
				) ),
				$this->row( array(
					$this->colorField( 'tp_color_before_footer_text', array(
						'label' => __( 'Template color before footer text', 'gamma' ),
					) )
				) ),
				$this->row( array(
					$this->colorField( 'tp_color_footer_text', array(
						'label' => __( 'Template color footer text', 'gamma' ),
					) )
				) ),
				
			)
		);

		$this->block(
			$this->uploadImgField( 'tp_favicon', array(
					'label'  => __( 'Favicon', 'gamma' ),
					'width'  => 16,
					'height' => 16,
				)
			)
		);

		$this->block(
			array(
				$this->row( array(
					$this->textField( 'tp_head_ga', array(
						'label' => __( 'Google Analytics Tracking ID', 'gamma' ),
					) )
				) )
				//$this->row( array(
				//	$this->textField( 'tp_facebook_pixel', array(
				//		'label' => __( 'Facebook Pixel Code', 'gamma' ),
				//	) )
				//) )
			)
		);

	}

	/**
	 * Template Header
	 */
	function tmplHead() {
		$this->block(
			array(
				$this->textTextArea( 'tp_head', array(
					'label' => __( '< head > tag container for head elements', 'gamma' ),
					'rows'  => 10
				) ),
				$this->textTextArea( 'tp_style', array(
					'label' => __( 'css style', 'gamma' ),
					'rows'  => 10
				) )
			)
		);
	}

	/**
	 * Template Header
	 */
	function tmplHeader() {

		$this->block(
			array(
				$this->row(
					array(
						$this->uploadImgField( 'tp_logo_img', array(
							'label'  => __( 'Website logo', 'gamma' ),
							'width'  => 185,
							'height' => 115,
						) )
					) ),
				
			)
		);

	}

	/**
	 * Template Settings
	 */
	function tmplHome() {

		$this->block( $this->checkboxField( 'tp_inform_home', array( 'label' => 'Enable Banners' ) ) );
		$this->block( $this->textTextArea( 'tp_inform_home_1',
			array(
				'label' => 'Banner 1',
				'rows'  => 20
			) ) );
		$this->block( $this->textTextArea( 'tp_inform_home_2',
			array(
				'label' => 'Banner 2',
				'rows'  => 20
			) ) );
		$this->block( $this->textTextArea( 'tp_inform_home_3',
			array(
				'label' => 'Banner 3',
				'rows'  => 20
			) ) );

	}

	/**
	 * Template Social
	 */
	function tmplSocial() {


		$this->block( array(
			$this->row( array(
				$this->textField( 's_link_tw', array(
					'label' => __( 'Twitter link', 'gamma' ),
				) ),
				$this->textField( 's_link_gl', array(
					'label' => __( 'Google plus link', 'gamma' ),
				) )
			) ),
			$this->row( array(
				$this->textField( 's_link_pt', array(
					'label' => __( 'Pinterest link', 'gamma' ),
				) ),
				$this->textField( 's_link_fb', array(
					'label' => __( 'Facebook link', 'gamma' ),
				) )
			) )
			,
			$this->row( array(
				$this->textField( 's_link_in', array(
					'label' => __( 'Instagram link', 'gamma' ),
				) )
			) )
		), array( 'title' => __( 'Social pages links', 'gamma' ) ) );

	}

	/**
	 * Template Footer
	 */
	function tmplFooter() {

		$this->block(
			array(
				$this->row(
					$this->textTextArea( 'tp_copyright', array() )
				),
				$this->row(
					$this->textTextArea( 'tp_address', array() )
				),
			),
			array( 'title' => __( 'Copyright', 'gamma' ) )
		);

		$this->block(
			$this->row(
				$this->textTextArea( 'tp_footer_script', array(
					'label' => __( 'Footer tag container', 'gamma' ),
					'rows'  => 20
				) )
			)
		);

	}


	/**
	 * Template Subscribe
	 */
	function tmplSubscribe() {
    
		$this->block(
			$this->row(
				$this->textTextArea( 'tp_subscribe', array(
					'label' => __( 'Paste your ‘Autoresponder’ code here', 'gamma' ),
					'rows'  => 20
				) )
			)
		);
	}

	function tmplContactUs() {

		$this->block(
			array(
				$this->row(
					$this->textTextArea( 'tp_contactUs_text', array(
						'label' => __( 'Paste your ‘Autoresponder’ code here', 'gamma' ),
						'rows'  => 20
					) )
				),
				$this->row(
					$this->uploadImgField( 'tp_contactUs_map', array(
						'label'  => __( 'Image map', 'gamma' ),
						'width'  => 470,
						'height' => 349,
					) )
				)
			)
		);
	}

	/**
	 * Template SEO
	 */
	function tmplSeo() {
		$this->block( array(
			$this->textTextArea( 'tp_home_seo_title', array(
				'label' => __( 'SEO Title', 'gamma' )
			) ),
			$this->textTextArea( 'tp_home_seo_description', array(
				'label' => __( 'SEO Description', 'gamma' )
			) ),
			$this->textTextArea( 'tp_home_seo_keywords', array(
				'label' => __( 'Keywords', 'gamma' )
			) )
		),
			array( 'title' => 'Home Page' ) );

	}

	/**
	 * Template Settings
	 */
	function tmplSingleProduct() {
		
		$this->block( array(
				$this->row( array(
					$this->colorField( 'tp_discount', array(
						'label' => __( 'Discount color', 'gamma' ),
					) )
				) ),
				$this->row( array(
					$this->colorField( 'tp_buttons_colors', array(
						'label' => __( 'Button Color', 'gamma' )
					) ),
				) ),
				$this->row( array(
					$this->colorField( 'tp_buttons_colors_text', array(
						'label' => __( 'Button Text Color', 'gamma' )
					) ),
				) ),
				$this->row( array(
					$this->colorField( 'tp_color_price_product', array(
						'label' => __( 'Prices color', 'gamma' ),
					) )
				) )
					));
	}


}
