<?php
if( ! function_exists('ads_getImages') ) {

	function ads_getImages($img, $size = 'full' ) {

		if ( $img && function_exists('ads_is_url') && ali_is_url( $img ) ) {
			return $img;
		} elseif ( $img && is_numeric( $img ) ) {
			return function_exists('ali_get_image_by_id') ? ali_get_image_by_id( $img , $size ) : false;
		}
		return false;
	}
}
/**
 * Show SKU parameters from product
 *
 * @param $sku
 */
function mic_showSKU( $sku, $skuAttr, $title ) {

	$foo = array();
	foreach ( $sku as $key => $value ) {
		$foo[ $value[ 'prop_id' ] ][ 'title' ]          = $value[ 'prop_title' ];
		$foo[ $value[ 'prop_id' ] ][ 'params' ][ $key ] = $value;
	}

	echo '<script type="text/javascript">
			window.skuAttr = ' . json_encode( $skuAttr ) . ';
			window.sku = ' . json_encode( $sku ) . ';
		</script>';

	foreach ( $foo as $i => $v ) {

		if ( ! empty( $v[ 'params' ] ) ) {

			$items = '';
			$value = '';
			$type = 'text';
			$p     = 0;
			foreach ( $v[ 'params' ] as $keySku => $val ) {
				$p ++;
				if ( ! empty( $val ) ) {

					$class = '';
					if ( $p == 1 ) {
						$class = 'active';
					}

					$title   = isset( $val[ 'title' ] ) ? trim( $val[ 'title' ] ) : '';
					$img = ads_getImages($val[ 'img' ]);
					$img     = ( $img != '' && ali_is_url( $img ) ) ? $img : '';
					$img_big = isset( $val[ 'img_big' ] ) && $val[ 'img_big' ] != '' ? ads_getImages($val[ 'img_big' ]): false;
					$img_big = $img_big  && ali_is_url( $val[ 'img_big' ] ) ? $img_big : $img;

					if ( $img != '' ) {
						$type = 'img';
						$items .= sprintf(
							'
								<span class="sku-set %7$s" data-set="%4$d" data-meta="%5$d">
								<img src="%1$s" data-img="%2$s" class="img-responsive" title="%3$s"></span>
                                    <input type="hidden" name="sku-meta" value="%6$s" id="check-%4$d-%5$d">
									</div>',
							$img, $img_big, $title, $i, $p, $keySku, $class
						);
					} else{
						$items .= sprintf(
							'
							<span class="sku-set %5$s" data-set="%2$d" data-meta="%3$d">%1$s
                            <input type="hidden" name="sku-meta" value="%4$s" id="check-%2$d-%3$d">
                            </span>
							</div>',
							$title,
							$i,
							$p,
							$keySku,
							$class
						);
					}

					if ( $p == 1 ) {
						$value = $keySku;
					}
				}


			}

			if ( $items != '' ) {
				if ( $img != '' ) {echo '<div class="col-lg-60 va-block">';}
				else{ // echo '<div class="col-lg-60 size">';
				}
				printf(
					'<tr class="m-row item-sku sku-%6$s">
                     <td class="param-title">%1$s:</td>
                        <td class="value">%2$s<div class="sku-warning" style="display:none">%4$s: %1$s</div></td>
                        <input type="hidden" id="set-%3$d" name="sku-meta-set[]" value="%5$s">
                    </tr>',
					$v[ 'title' ],
					$items,
					$i,
					__( 'Please select', 'gamma' ),
					$value,
					$type
				);
			}
		}
	}
}
