/**
 * Created by sunfun on 05.09.16.
 */
(function ( $ ) {
	'use strict';

	function isURL( str ) {

		var regexp = /(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
		return regexp.test( str );
	}

	$.fn.sku = function ( defaults ) {

		var options = $.extend( {
			item          : '.sku-set',
			sku           : '.item-sku',
			error         : '.sku-warning',
			productSlider : '.slider-for'
		}, defaults );

		var productSlider = $( options.productSlider );

		var th = $( this );

		var setSKU = function () {
			th.on( 'click', options.item, function () {
				if ( $( this ).hasClass( 'disabled' ) )
					return false;

				var pid       = $( this ).data( 'set' ),
					variation = $( this ).data( 'meta' ),
					line      = $( this ).parents( options.sku ),
					skuval    = $( '#check-' + pid + '-' + variation ).val(),
					imgSkuBig = $( this ).children( 'img' ).data( 'img' );
				imgSkuBig     = imgSkuBig ? imgSkuBig : skuval;

				if ( !$( this ).hasClass( 'active, disabled' ) ) {
					line.find( options.item ).removeClass( 'active' );
					line.find( 'dt' ).css( 'color', '' );

					$( this ).addClass( 'active' );
					$( '#set-' + pid ).val( skuval );

					line.find( options.error ).css( 'display', 'none' );
				}

				if ( isURL( imgSkuBig ) ) {

					if ( imgSkuBig.indexOf( '_50x50.jpg' ) > 0 ) {
						imgSkuBig = imgSkuBig.replace( '_50x50.jpg', '' );
					}

					productSlider.slick( 'slickAdd', '<img class="img-responsive" data-zoom-image="' + imgSkuBig + '" src="' + imgSkuBig + '" alt=""/>' );

					productSlider.slick( 'slickGoTo' );

				}
			} );
		};

		return this.each( setSKU );
	};


	$( 'form.form-SingleProduct' ).sku();

	/**
	 * $this is form sku params
	 *
	 * @param $this
	 * @param sticker
	 * @returns {*}
	 */
	function getSku( $this, sticker ) {

		var options = {
				line      : '.item-sku',
				variation : '[name="sku-meta-set[]"]'
			},
			error   = false,
			foo     = [];

		$( '.form-SingleProduct' ).find( options.variation ).each( function () {

			if ( $( this ).val().length == 0 && sticker !== false ) {
				error = true;
			}
			else {
				foo.push( $( this ).val() );
			}

		} );

		if ( error ) return false;

		return { foo : foo }
	}


	var changePriceSku = (function () {
		var $this, skuAttr, sku, currency;

		var obj = {
			price       : '[data-singleProduct="price"]',
			salePrice   : '[data-singleProduct="savePrice"]',
			quantity    : '[data-singleProduct="quantity"]',
			save        : '[data-singleProduct="save"]',
			savePercent : '[data-singleProduct="savePercent"]',

			box : {
				price       : '[data-productPrice="price"]',
				savePercent : '[data-productPrice="savePercent"]',
				quantity    : '[data-productPrice="quantity"]',
			}
		};

		function renderSkuActive() {
			var value = getSku( $( 'form.form-SingleProduct' ), false );
			if ( !value )return false;
			var foo = value.foo;

			$( '.sku-set' ).addClass( 'disabled' );

			$.each( skuAttr, function ( skuAttrName, e ) {
				var sku = skuAttrName.split( ';' );
				$( 'input[value="' + sku[ 0 ] + '"]' ).closest( '.sku-set' ).removeClass( 'disabled' );
				if ( foo[ 0 ] == sku[ 0 ] ) {
					$.each( sku, function ( i ) {
						$( 'input[value="' + sku[ i ] + '"]' ).closest( '.sku-set' ).removeClass( 'disabled' );
					} );

				}
			} );

			$( '.sku-set.disabled.active' ).removeClass( 'active' ).each( function ( i, e ) {
				var idSkuName = $( e ).data( 'set' );
				$( '#set-' + idSkuName ).val( '' );
			} );

		}

		function changeSku() {

			var value                     = getSku( $( this ).parents( 'form' ), false ),
				item = false, skuAttrName = '';
			if ( !value )return false;
			var foo = value.foo;

			for ( var n in foo ) {
				if ( foo.hasOwnProperty( n ) ) {
					skuAttrName += foo[ n ] + ';';
				}
			}

			skuAttrName = skuAttrName.slice( 0, -1 );
			item        = skuAttr[ skuAttrName ];

			//fix delete
			if ( !item ) {
				console.log( 'no sku' );
				return;
			}

		}

		function setSkuPrice( e ) {
			var item = e.item, i;
			console.log( item );
			var price       = item.price,
				salePrice   = item.salePrice,
				quantity    = item.quantity,
				savePercent = item.discount,
				save        = item.save;

//			$( '.form-SingleProduct [name="quantity"]' )
//				.data( 'price', item._salePrice )
//				.data( 'oldprice', item._price )
//				.click();

			$( obj.salePrice ).text( salePrice );
			$( obj.price ).text( price );

			$( obj.save ).text( save );
			$( obj.savePercent ).text( savePercent );

			$( obj.quantity ).text( quantity );

			if ( parseFloat(item._price) > 0 ) {
				$( obj.box.price ).show();
			} else {
				$( obj.box.price ).hide();
			}

			if ( parseFloat(item._price) - parseFloat(item._salePrice) > 0 ) {
				$( obj.box.savePercent ).show();
			} else {
				$( obj.box.savePercent ).hide();
			}

			if ( item.quantity < 15 ) {
				$( obj.box.quantity ).show();
			} else {
				$( obj.box.quantity ).hide();
			}

		}

		return {
			init : function () {
				$this    = this;
				skuAttr  = window.skuAttr;
				sku      = window.sku;
				currency = $( '[name="currency"]' ).val();

				$( 'body' )
					.on( 'click', '.sku-set', changeSku )
					.on( 'click', '.sku-set', renderSkuActive )
//					.on( 'cart:skuPrice', setSkuPrice );

				renderSkuActive();
				$( '.sku-set.active' ).click();
			}
		}
	})();

	changePriceSku.init();


	/**
	 * Add product to cart
	 */
	$( '[data-singleProduct="addCart"]' ).on( 'click', function ( e ) {
		e.preventDefault();
		addOrder( $( this ).parents( 'form' ) );

	} );

	function addOrder( $this ) {

		var options = {
			item     : '[name="quantity"]',
			post_id  : '[name="post_id"]',
			shipping : '[name="shipping"]'
		};

		var $sku = getSku( $this );
		console.log( $sku );
		if ( $sku === false ) return false;
		adsCart.add( {
			post_id   : $( options.post_id ).val(),
			quantity  : $( options.item ).val(),
			shipping  : $( options.shipping ).val(),
			variation : $sku.foo,
			title     : $sku.too
		} );

	}


	var pageSingleProduct = (function () {
		var $this;

		function setTimeShipping( option ) {
			$( '[data-singleProduct="shipping-info"]' ).html( option.data( 'info' ) );
		}

		function setTotalPrice( option ) {
			$( '[data-singleProduct="shipping"]' )
				.data( 'price_shipping', option.data( 'price' ) )
				.click();

		}

		return {
			init : function () {
				$this = this;
				$( window ).load( function () {
					$( '[data-singleProduct="shipping"]' ).click();
				} );

				$( 'select[data-singleProduct="shipping"]' ).on( 'change', function () {
					var option = $( this ).find( 'option:selected' );
					setTimeShipping( option );
					setTotalPrice( option );
				} );
			}
		}
	})();

	pageSingleProduct.init();


})( jQuery );