<?php
//is_post_type_archive('product')
$title = is_post_type_archive() ? __( 'All products', 'alpha' ) : adstm_single_term();

function get_all_categories() {

	$terms = get_terms( 'product_cat' );

	if ( count( $terms ) ) {

		$alphabet = array();

		foreach ( $terms as $term ) {
			$first_letter                = mb_substr( strtoupper( $term->name ), 0, 1 );
			$alphabet[ $first_letter ][] = array(
				'link'  => get_term_link( $term, 'product_cat' ),
				'name'  => $term->name,
				'count' => $term->count,
				'slug'  => $term->slug,
				'id'    => $term->term_taxonomy_id,
			);
		}

		return $alphabet;

	}

}


$categories_by_alphabet = get_all_categories();
?>
<div class="line">

	<div class="container">
		<div class="row">
			<div class="col-xs-60">

				<?php adstm_breadcrumbs() ?>

			</div>
		</div>
	</div>

</div>

<div class="line">
	<div class="container">
		<div class="row">
			<div class="col-xs-60 breadcrumbs">
				<h3 class="text-center"><?php echo __( 'Have a look at our wide range of high quality products.', 'alpha' ); ?></h3>
				<p class="text-center"><?php echo __( 'Here you find detailed descriptions and useful written by real people - all this will help you make a rightful choice.', 'alpha' ); ?></p>
			</div>
		</div>
	</div>
</div>

<div class="line">
	<div class="container">
		<div class="row">
			<div class="col-lg-8 letters">
				<div class="all-products-by-alphabet">

					<div class="item active" data-link="show-all-categories">
                        <span style="text-transform:none !important;">
                            <?php echo __( 'All', 'alpha' ); ?>
                       </span>
					</div>

					<?php

					if ( count( $categories_by_alphabet ) ) {

						foreach ( $categories_by_alphabet as $letter => $cats ) { ?>

							<div class="item" data-link="#category-<?php echo $letter; ?>">
                                    <span>
                                        <?php echo $letter; ?>
                                    </span>
							</div>

						<?php }

					} ?>

				</div>
			</div>
			<div class="line all-products-lists">
					<div class="col-lg-47 col-lg-offset-5">
				
						<?php
				
						if ( count( $categories_by_alphabet ) ) {
				
							$alphabet = $categories_by_alphabet;
				
							$i = -1;
				
							foreach ( $alphabet as $letter => $cats ) {
								$i ++; ?>
				
								<div class="products-list" id="category-<?php echo $letter; ?>">
				
									<div class="products-list-head">
										<div>
											<span><?php echo $letter; ?></span>
											(<?php echo count( $cats ); ?>)
										</div>
									</div>
				
				
										<?php if ( isset( $cats ) ) {
				
											foreach ( $cats as $key => $value ) { ?>
				
												<div class="col-sm-20">
													<a href="<?php echo $value['link']; ?>" class="products-list-item">
														<span><?php echo $value['name']; ?></span> (<?php echo $value['count']; ?>)
													</a>
												</div>
				
											<?php } // End Foreach ?>
				
										<?php } // End if ?>
				
								</div>
				
							<?php } // End foreach($alphabet as $letter => $cats)
				
						} // End if( count($categories_by_alphabet) )
				
						?>
				
					</div>
				</div>
		</div>
	</div>
</div>



